<?php
function renderClientCard($id, $imagePath, $name, $date) {
    // Construct the specific photo_1.webp path
    $imagePath = "https://sandbox-rollo-file.s3.us-east-2.amazonaws.com/portfolio/" . dirname($imagePath) . "/photo_1.webp";
    $url = "https://tusanboxitopremium.lol/portafolio-detalles.php?id=" . urlencode($id);
    //// $api_url = 'http://localhost/php/api.php';

    echo <<<HTML
    <div class="swiper-slide">
        <div class="tp-team-item tp-hover-btn-wrapper marque fix mb-30">
            <div class="tp-hover-btn-item">
                <a href="$url">
                    <img src="$imagePath" alt="$name">
                </a>
            </div>
            <div class="tp-team-content">
                <span>$date</span>
                <h4 class="tp-team-title-sm">
                    <a href="$url">$name</a>
                </h4>
            </div>
        </div>
    </div>
HTML;
}

// Set API URL and authorization header
$apiUrl = 'https://tusanboxitopremium.lol/api.php';
$authorization = 'asdsdfsdfsdf';

// Initialize cURL session
$ch = curl_init($apiUrl);

// Set cURL options
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
   'Authorization: ' . $authorization
]);

// Execute cURL request and get response
$response = curl_exec($ch);

// Check for cURL errors
if (curl_errno($ch)) {
   die('Error: ' . curl_error($ch));
}

// Close cURL session
curl_close($ch);

// Decode JSON response
$clients = json_decode($response, true);

// Handle potential JSON decoding errors
if ($clients === null) {
   die("Error decoding JSON data.");
}

// Shuffle and select 8 clients
shuffle($clients);
$selectedClients = array_slice($clients, 0, 8);
?>

<div class="tp-team-area pt-20 pb-120 fix">
   <div class="container-fluid">
      <div class="row">
         <div class="col-xl-12">
            <div class="tp-team-slider-wrapper">
               <div class="swiper-container tp-team-slider-active">
                  <div class="swiper-wrapper">
                     <?php
                     foreach ($selectedClients as $client) {
                        renderClientCard($client['id'], $client['photo'], $client['name'], $client['date']);
                     }
                     ?>
                  </div>
               </div>
            </div>
         </div>
         <div class="col-xl-12 col-lg-12">
            <div class="tp-service-3-btn-box text-start text-md-center">
               <a class="tp-btn-zikzak-sm p-relative" href="portafolio.php">
                  <span class="zikzak-content">
                     Más <br> Detalles
                     <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M16.2434 8.16465C16.3866 8.31677 16.4668 8.52224 16.4668 8.73637C16.4668 8.9505 16.3866 9.15597 16.2434 9.30811L9.38818 16.53C9.24196 16.6773 9.04774 16.7599 8.84546 16.7607C8.74439 16.7602 8.64426 16.7399 8.55031 16.7005C8.41169 16.6392 8.2934 16.5359 8.21038 16.4038C8.12736 16.2717 8.0833 16.1167 8.08378 15.9583V9.53881H1.22849C1.02648 9.53881 0.832739 9.45428 0.689893 9.30378C0.547047 9.15329 0.466797 8.9492 0.466797 8.73637C0.466797 8.52356 0.547047 8.31945 0.689893 8.16897C0.832739 8.01848 1.02648 7.93395 1.22849 7.93395H8.08378V1.51445C8.0833 1.35603 8.12736 1.20101 8.21038 1.06892C8.2934 0.936828 8.41169 0.833584 8.55031 0.772196C8.691 0.714385 8.84436 0.699718 8.99264 0.729895C9.14092 0.760071 9.27805 0.833857 9.38818 0.942715L16.2434 8.16465Z" fill="#FFFFFF" />
                     </svg>
                  </span>
                  <span>
                     <svg class="svg-bg" xmlns="http://www.w3.org/2000/svg" width="130" height="130" viewBox="0 0 130 130" fill="#D35B39">
                        <path d="M58.3086 3.18813C61.7663 -1.04295 68.2337 -1.04295 71.6914 3.18813V3.18813C74.3088 6.39089 78.8286 7.28993 82.4723 5.33258V5.33258C87.286 2.74677 93.2611 5.22176 94.8365 10.454V10.454C96.0289 14.4145 99.8606 16.9748 103.976 16.5608V16.5608C109.413 16.014 113.986 20.5872 113.439 26.024V26.024C113.025 30.1394 115.585 33.9711 119.546 35.1635V35.1635C124.778 36.7389 127.253 42.714 124.667 47.5277V47.5277C122.71 51.1714 123.609 55.6912 126.812 58.3086V58.3086C131.043 61.7663 131.043 68.2337 126.812 71.6914V71.6914C123.609 74.3088 122.71 78.8286 124.667 82.4723V82.4723C127.253 87.286 124.778 93.2611 119.546 94.8365V94.8365C115.585 96.0289 113.025 99.8606 113.439 103.976V103.976C113.986 109.413 109.413 113.986 103.976 113.439V113.439C99.8606 113.025 96.0289 115.585 94.8365 119.546V119.546C93.2611 124.778 87.286 127.253 82.4723 124.667V124.667C78.8286 122.71 74.3088 123.609 71.6914 126.812V126.812C68.2337 131.043 61.7663 131.043 58.3086 126.812V126.812C55.6912 123.609 51.1714 122.71 47.5277 124.667V124.667C42.714 127.253 36.7389 124.778 35.1635 119.546V119.546C33.9711 115.585 30.1394 113.025 26.024 113.439V113.439C20.5872 113.986 16.014 109.413 16.5608 103.976V103.976C16.9748 99.8606 14.4145 96.0289 10.454 94.8365V94.8365C5.22176 93.2611 2.74677 87.286 5.33258 82.4723V82.4723C7.28993 78.8286 6.39089 74.3088 3.18813 71.6914V71.6914C-1.04295 68.2337 -1.04295 61.7663 3.18813 58.3086V58.3086C6.39089 55.6912 7.28993 51.1714 5.77305 47.2911C3.33685 42.7559 5.66865 37.1265 10.5981 35.6423C14.7879 34.3809 17.4963 30.3275 17.0583 25.9739C16.5431 20.8517 20.8517 16.5431 25.9739 17.0583C30.3275 17.4963 34.3809 14.7879 35.6423 10.5981C37.1265 5.66865 42.7559 3.33685 47.2911 5.77305Z" stroke="#19191A" stroke-opacity="0.100" />
                     </svg>
                  </span>
               </a>
            </div>
         </div>
      </div>
   </div>
</div>
